# Uses of Class
org.apache.zookeeper.server.NIOServerCnxnFactory.SelectorThread

Packages that use NIOServerCnxnFactory.SelectorThread
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.controller

## Uses of NIOServerCnxnFactory.SelectorThread in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type NIOServerCnxnFactory.SelectorThread
Modifier and Type
Method
Description
`protected NIOServerCnxn`
NIOServerCnxnFactory.`createConnection(SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory.SelectorThread selectorThread)`
Constructors in org.apache.zookeeper.server with parameters of type NIOServerCnxnFactory.SelectorThread
Modifier
Constructor
Description
``
`NIOServerCnxn(ZooKeeperServer zk, SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory factory, NIOServerCnxnFactory.SelectorThread selectorThread)`

## Uses of NIOServerCnxnFactory.SelectorThread in org.apache.zookeeper.server.controller

Methods in org.apache.zookeeper.server.controller with parameters of type NIOServerCnxnFactory.SelectorThread
Modifier and Type
Method
Description
`protected NIOServerCnxn`
ControllableConnectionFactory.`createConnection(SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory.SelectorThread selectorThread)`
Constructors in org.apache.zookeeper.server.controller with parameters of type NIOServerCnxnFactory.SelectorThread
Modifier
Constructor
Description
``
`ControllableConnection(ZooKeeperServer zk, SocketChannel sock, SelectionKey sk, NIOServerCnxnFactory factory, NIOServerCnxnFactory.SelectorThread selectorThread)`